import java.io.*;
import java.util.*;

public class TestsGen {
	static int testcount = 0;

	static Random random = new Random(92873);
	
	static int MAXN = 1000;
	
	static char randChar() {
		return (char) ('a' + random.nextInt(26));
	}

	static void write(String s) throws IOException {
		PrintWriter out = new PrintWriter(String.format("%02d", ++testcount));
		System.out.println("Generating test #" + testcount);
		out.println(s);
		out.close();
	}
	
	static void writeRand(int len) throws IOException {
		String s = "";
		for (int i = 0; i < len; i++) {
			s += randChar();
		}
		write(s);
	}
	
	static void writeEq(int len) throws IOException {
		String s = "";
		char ch = randChar();
		for (int i = 0; i < len; i++) {
			s += ch;
		}
		write(s);
	}
	
	static void write1(int len) throws IOException {
		String s = "";
		char ch = randChar();
		for (int i = 0; i < len; i++) {
			s += ch;
		}
		int pos = random.nextInt(len);
		ch = randChar();
		s = s.substring(0, pos) + ch + s.substring(pos + 1);
		write(s);
	}
	
	public static void main(String[] args) throws IOException {
		while (new File(String.format("%02d.t", testcount + 1)).exists()) {
			testcount++;
		}
		writeRand(5);
		writeRand(10);
		writeRand(50);
		writeRand(100);
		writeRand(500);
		writeRand(1000);
		writeEq(7);
		writeEq(66);
		writeEq(1000);
		write1(4);
		write1(5);
		write1(6);
		write1(20);
		write1(100);
		write1(666);
		write1(1000);
	}

}